/* InstLang.cmd - Install language support for World Clock */

IF RxFuncQuery('SysLoadFuncs') THEN DO
    CALL RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
    CALL SysLoadFuncs
END

CALL SysCls
progname = 'World Clock 1.3.0'
inifile = 'WCLOCK.INI'
IF STREAM(inifile,'C','QUERY EXISTS') = "" THEN DO
    SAY 'Problem! '||inifile||' file does not exist.'
    SAY 'Did you install '||progname||'?'
    SAY 'Press Enter to exit and correct error.'
    PULL answer
    Exit
END

SAY 'This procedure will add Language support for '||progname||':'
SAY 'Croatian, French, German, Slovenian and Swedish.'
SAY 'Press "Y" to start Installation, any other key to exit...'
ans = TRANSLATE(SysGetKey('ECHO'))
SELECT
    WHEN ans = 'Y' THEN NOP
    OTHERWISE CALL NoAction 'Installation aborted.'
END


SAY ' '
CALL SysIni inifile, 'Language', 'CROATIAN', 'English.inf'
CALL SysIni inifile, 'Language', 'DUTCH', 'English.inf'
CALL SysIni inifile, 'Language', 'FRENCH', 'French.inf'
CALL SysIni inifile, 'Language', 'GERMAN', 'English.inf'
CALL SysIni inifile, 'Language', 'SLOVENIA', 'English.inf'
CALL SysIni inifile, 'Language', 'SWEDISH', 'Swedish.inf'

SAY ' '
InstallDir = Directory()
/*
ProgTitle = 'Read me 1st'||'^(Dutch)'
EXE = 'E.exe'
INF = 'ReadNl.1st'
Setup = 'OBJECTID=<WCLOCK130_1STDUT>;EXENAME='EXE';PARAMETERS='InstallDir'\'INF';STARTUPDIR='InstallDir''
Action = 'U'
dummy = SysCreateObject('WPProgram',ProgTitle,'<WCLOCK130_FOLDER>',Setup,Action)
SAY progname||' ReadMe.1st (Dutch) - '||rc1(dummy)

ProgTitle = progname||'^History (Dutch)'
EXE = 'E.exe'
INF = 'HistNl.txt'
Setup = 'OBJECTID=<WCLOCK130_HSTDUT>;EXENAME='EXE';PARAMETERS='InstallDir'\'INF';STARTUPDIR='InstallDir''
Action = 'U'
dummy = SysCreateObject('WPProgram',ProgTitle,'<WCLOCK130_FOLDER>',Setup,Action)
SAY progname||' History (Dutch) - '||rc1(dummy)
*/
ProgTitle = 'Read me 1st'||'^(French)'
EXE = 'E.exe'
INF = 'ReadFr.1st'
Setup = 'OBJECTID=<WCLOCK130_1STFRE>;EXENAME='EXE';PARAMETERS='InstallDir'\'INF';STARTUPDIR='InstallDir''
Action = 'U'
dummy = SysCreateObject('WPProgram',ProgTitle,'<WCLOCK130_FOLDER>',Setup,Action)
SAY progname||' ReadMe.1st (French) - '||rc1(dummy)

ProgTitle = progname||'^History (French)'
EXE = 'E.exe'
INF = 'HistFr.txt'
Setup = 'OBJECTID=<WCLOCK130_HSTFRE>;EXENAME='EXE';PARAMETERS='InstallDir'\'INF';STARTUPDIR='InstallDir''
Action = 'U'
dummy = SysCreateObject('WPProgram',ProgTitle,'<WCLOCK130_FOLDER>',Setup,Action)
SAY progname||' History (French) - '||rc1(dummy)

ProgTitle = progname||'^manual (French)'
EXE = 'View.exe'
INF = 'French.inf'
Setup = 'OBJECTID=<WCLOCK130_HLPFRE>;EXENAME='EXE';PARAMETERS='InstallDir'\'INF';STARTUPDIR='InstallDir''
Action = 'U'
dummy = SysCreateObject('WPProgram',ProgTitle,'<WCLOCK130_FOLDER>',Setup,Action)
SAY progname||' manual (French) - '||rc1(dummy)

ProgTitle = 'Read me 1st'||'^(Swedish)'
EXE = 'E.exe'
INF = 'ReadSwe.1st'
Setup = 'OBJECTID=<WCLOCK130_1STSWE>;EXENAME='EXE';PARAMETERS='InstallDir'\'INF';STARTUPDIR='InstallDir''
Action = 'U'
dummy = SysCreateObject('WPProgram',ProgTitle,'<WCLOCK130_FOLDER>',Setup,Action)
SAY progname||' ReadMe.1st (Swedish) - '||rc1(dummy)

ProgTitle = progname||'^History (Swedish)'
EXE = 'E.exe'
INF = 'HistSwe.txt'
Setup = 'OBJECTID=<WCLOCK130_HSTSWE>;EXENAME='EXE';PARAMETERS='InstallDir'\'INF';STARTUPDIR='InstallDir''
Action = 'U'
dummy = SysCreateObject('WPProgram',ProgTitle,'<WCLOCK130_FOLDER>',Setup,Action)
SAY progname||' History (Swedish) - '||rc1(dummy)

ProgTitle = progname||'^manual (Swedish)'
EXE = 'View.exe'
INF = 'Swedish.inf'
Setup = 'OBJECTID=<WCLOCK130_HLPSWE>;EXENAME='EXE';PARAMETERS='InstallDir'\'INF';STARTUPDIR='InstallDir''
Action = 'U'
dummy = SysCreateObject('WPProgram',ProgTitle,'<WCLOCK130_FOLDER>',Setup,Action)
SAY progname||' manual (Swedish) - '||rc1(dummy)

SAY ' '
SAY 'Installation finished! Press Enter to exit ...'
PULL answer
CALL SysCls

/* NoAction - abort Install */

NoAction:   PROCEDURE

PARSE ARG noinstmsg
SAY ' '
SAY noinstmsg
SAY 'Press any key to exit ...'
ans = SysGetKey('NOECHO')
Exit

/* End of NoAction */

/* rc1 - return code - SysCreateObject */

rc1:        PROCEDURE

PARSE ARG rcSysCreateObject
SELECT
    WHEN rcSysCreateObject = 0 THEN rc1 = 'Error'
    OTHERWISE rc1 = 'OK'
END
RETURN rc1

/* End of rc1 */

/* EOF InstLang.cmd */

